package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.armors.EnemyArmor;
import org.project.item.weapons.DragonWepon;
import org.project.item.weapons.Weapon;

public class Dragon extends Enemy{


    public Dragon(){
        super(200 , 50 , new DragonWepon() , new EnemyArmor());
    }


    public void specialAbility(Entity target){
        heavyattack(target);
        //sout : fire!
    }

    public String toString(){
        String str = "Dragon |" + "Hp:" + getHp();
        return str;
    }
}
